Bug 2124157 (CVE-2022-3099) - CVE-2022-3099 vim: Use After Free in do_cmdline() in ex_docmd.c
Summary: CVE-2022-3099 vim: Use After Free in do_cmdline() in ex_docmd.c
Keywords:
Status: NEW
Alias: CVE-2022-3099
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2124158 2126298
Blocks: 2124159
TreeView+ depends on / blocked
 
Reported: 2022-09-05 05:07 UTC by Sandipan Roy
Modified: 2022-09-13 14:34 UTC (History)
3 users (show)

Fixed In Version: vim 9.0.0360
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free vulnerability was found in vim's do_cmdline() function of the src/ex_docmd.c file. The issue triggers when an invalid line number on :for is ignored. This flaw allows an attacker to trick a user into opening a specially crafted file, triggering use-after-free that causes an application to crash, possibly executing code and corrupting memory.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-09-05 05:07:15 UTC
Use After Free in GitHub repository vim/vim prior to 9.0.0359.

https://huntr.dev/bounties/403210c7-6cc7-4874-8934-b57f88bd4f5e
https://github.com/vim/vim/commit/35d21c6830fc2d68aca838424a0e786821c5891c

Comment 1 Sandipan Roy 2022-09-05 05:08:35 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2124158]


Note You need to log in before you can comment on or make changes to this bug.